[build-system]
requires = ["setuptools", "setuptools-scm"]
build-backend = "setuptools.build_meta"

[project]
name = "rechteckhohlleiter"
authors = [
    {name = "Jonas Krimmer", email = "jonas.krimmer@kit.edu"},
]
description = "Python dashboard to visualize the modes of a hollow waveguide with rectangular cross-section."
readme = "README.md"
requires-python = ">=3.7"
license = {text = " GNU GPLv3"}
classifiers = [
    "Programming Language :: Python :: 3",
]
dependencies = [
    "numpy",
    "plotly",
    "dash",
    "dash_bootstrap_components",
    "gunicorn",
    "orjson",
]
dynamic = ["version"]

[tool.setuptools.packages.find]
where = ["src"]

# ... other project metadata fields as specified in:
#     https://packaging.python.org/en/latest/specifications/declaring-project-metadata/
